[FLASH-USERS] [FLASH-BUGS] FLASH4.5 and HDF5 1.8.16

Yingchao Lu yingchao.lu at gmail.com
Tue Dec 12 19:22:22 CST 2017


Hi Klaus,

I tried to build and run lasslab problem in FLASH4.5. The HDF5 version I
used is 1.10.0-patch. I got the error as attached.

Thanks,
Yingchao

On Tue, Dec 12, 2017 at 9:29 AM, Klaus Weide <klaus at flash.uchicago.edu>
wrote:

> [ cross-posting response to flash-users ]
>
> On Tue, 12 Dec 2017, Dominik Derigs wrote:
>
> > Dear FLASH team,
> >
> > the CHANGELOG states
> >
> > > FLASH now works correctly with HDF5 versions 1.10.x.
> >
> > I guessed that means that it should "just" work without having to use
> > -DH5_USE_16_API as compiler flag in my Makefile also with v1.8.16.
>
> Hi Dominik,
>
> The -DH5_USE_16_API is still necessary to compile FLASH against an HDF5
> library with version > 1.6.  (Unless one has an HDF5 library specifically
> built to default to the old API version - I assume not many users are
> in that situation.)
>
> And yes, that is still H5_USE_16_API, not H5_USE_18_API.
>
> What is new in FLASH 4.5, and what the line in RELEASE-NOTES is meant to
> convey, is that the same mechanism needed to compile FLASH against HDF5
> 1.8.x now also works for 1.10.x.  Before this, i.e., with FLASH 4.4,
> it did not work for 1.10.x. This has come up on flash-users ca. October
> 2017.
>
> Please let us know if you find any problems when you DO use H5_USE_16_API !
>
> > However, if I remove this flag, I'm still getting issues like
> >
> > io_h5_attribute.c(48): error #165: too few arguments in function call
> >       dsetID = H5Dopen(hFileID, datasetName);
> >
> > and so forth.
>
> Yes, that is as expected.
>
> > I looked into FLASH's user guide for the most recent version and haven't
> > found any details regarding this issue. Do I have to add another flag
> > somewhere or does the version of FLASH really works now only with HDF5
> > v1.10.x but not with v1.8.x?
>
> If you have a suggestion for improving the U.G. to make this clearer,
> please let me know!
>
> And to iterate, HDF5 v1.10.x should now be treated the same way as v1.8.x,
> as far as configuring FLASH is concerned.
>
> Klaus
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://flash.uchicago.edu/pipermail/flash-users/attachments/20171212/1118abf7/attachment-0001.html 
-------------- next part --------------
A non-text attachment was scrubbed...
Name: lasslab.log
Type: text/x-log
Size: 75640 bytes
Desc: not available
Url : http://flash.uchicago.edu/pipermail/flash-users/attachments/20171212/1118abf7/attachment-0002.bin 
-------------- next part --------------
A non-text attachment was scrubbed...
Name: lasslab.output
Type: application/octet-stream
Size: 4458 bytes
Desc: not available
Url : http://flash.uchicago.edu/pipermail/flash-users/attachments/20171212/1118abf7/attachment-0002.obj 
-------------- next part --------------
A non-text attachment was scrubbed...
Name: setup_call
Type: application/octet-stream
Size: 1199 bytes
Desc: not available
Url : http://flash.uchicago.edu/pipermail/flash-users/attachments/20171212/1118abf7/attachment-0003.obj 
-------------- next part --------------
A non-text attachment was scrubbed...
Name: Makefile.h
Type: text/x-chdr
Size: 6319 bytes
Desc: not available
Url : http://flash.uchicago.edu/pipermail/flash-users/attachments/20171212/1118abf7/attachment-0003.bin 


More information about the flash-users mailing list